package audiotesting;

import javax.swing.*;
import java.awt.*;

/**
 * Clase encargada de manejar el Panel
 */

public class SoundCircuitLabPanel extends JPanel {
  
    private SoundCircuit circuit;

    public SoundCircuitLabPanel(SoundCircuit c){
        circuit = c;
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g); // it paints the background
        Graphics2D g2 = (Graphics2D) g;
        circuit.paintComponent(g2);
    }

}
