package audiotesting;

import java.awt.event.*;
import javax.swing.JMenuItem;
import javax.swing.*;
import javax.swing.filechooser.*;
import java.io.*;
import java.util.Scanner;

/**
 * Clase encargada de correr el funcionamiento del circuito de sonido y escucahr su resultado
 */
public class EditMenuListener implements ActionListener {
  
    private SoundCircuit circuit;
    
    /**
     * Constructor
     * @param c 
     */
    public EditMenuListener (SoundCircuit c) {
       circuit = c;
    }
  
    /**
     * Metodo encargado de ejecutar la accion correspondiente al evento asosiado al menu
     * @param e 
     */
    public void actionPerformed(ActionEvent e) {
        JMenuItem menuItem = (JMenuItem)(e.getSource());
        String text = menuItem.getText();
    
        if (text.equals("Start")) 
            circuit.simulate();
       
        if (text.equals("Cerrar")) 
            System.exit(0);
       
        if (text.equals("Escuchar")) 
            circuit.escuchar();
    }
}
